Description

Hi Ray --

| replied to a forum post through RBE on commonsinabox.org this morning, but | don't think it posted. Can you please check out the
situation? Many thanks.

best,

Matt

History

#1 - 2013-04-25 04:33 AM - Raymond Hoh

| deactivated RBE and reactivated it and it seemed to post what was in queue.
Tried to look at the debug log, but it doesn't exist on cbox.org; there's probably a permissions issue in generating the log.

Adding Boone as a watcher so he can let me know. Btw, | read your blog post on using the WP filesystem :)
| should probably change to using the wp_upload_dir() instead of just /wp-content/.

#2 - 2013-04-25 08:14 AM - Matt Gold
Hi Ray --

Just received the message shown in the attached screenshot . . . .

#3 - 2013-04-25 08:14 AM - Matt Gold
- File Screen Shot 2013-04-25 at 8.13.13 AM.png added

#4 - 2013-04-25 11:31 AM - Boone Gorges

| should probably change to using the wp_upload_dir() instead of just /wp-content/.

Then my blog post was a success :)
#5 - 2013-04-25 01:57 PM - Raymond Hoh
Matt Gold wrote:

Hi Ray --

Just received the message shown in the attached screenshot . . . .

| think you received that message because RBE was processing the backlog of the queue and | left bbPress' anti-flood checks in.

Because bbPress thought you were posting really fast, RBE stopped the post from posting. I'll probably remove this check in RBE to prevent this.
Good catch!

Boone Gorges wrote:

Then my blog post was a success :)
On second thoughts, | was thinking about how WP is able to post the debug.log in /wp-content/. | think the /wp-content/ directory should be okay to
use.

When you have a moment, can you take look at cbox.org's /wp-content/ directory to see if the permissions are set properly?

#6 - 2013-04-25 02:21 PM - Boone Gorges

When you have a moment, can you take look at cbox.org's /wp-content/ directory to see if the permissions are set properly?

| don't have sudo on the box, so | just created wp-content/bp-rbe-debug.log and did chmod a+w. Should work.

| think the /wp-content/ directory should be okay to use.

FWIW [ think WP is doing it wrong here, and probably only does it this way for legacy reasons. Also, the WP debug log is probably only something
you'd run on a dev site (where permissions may be set much differently) while the RBE log is something designed to run in production in at least
some cases. But | digress :)

#7 - 2013-05-01 01:26 PM - Boone Gorges

- Target version set to Not tracked

#8 - 2013-08-11 11:37 AM - Boone Gorges

Hey Ray - Could | ask you to take a look at the debug log (which is working) and see if you can track down any issues?

#9 - 2013-08-15 12:47 AM - Raymond Hoh

- Status changed from Assigned to Resolved

Everything looks okay to me!

#10 - 2013-08-15 07:58 AM - Matt Gold
Thanks, Ray. | think that the reply did post -- there was just a short delay.
